Name:		xfce4-mailwatch-plugin
Version:	1.1.0
Release:	4%{?dist}
Summary:	Mail Watcher plugin for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2
URL:		http://spuriousinterrupt.org/projects/mailwatch
Source0:	http://spuriousinterrupt.org/files/mailwatch/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.20, libxfcegui4-devel >= 4.2, libxml2-devel
BuildRequires:	gettext
BuildRequires:	libXt-devel
# only enable TLS support if a recent version of gnutls is available
# install libXt for modular X
%if 0%{?fedora} > 4
BuildRequires:	gnutls-devel >= 1.2.0
%endif
Requires:	xfce4-panel >= 4.4.0

%description
Mailwatch is a plugin for the Xfce 4 panel. It is intended to replace the 
current (4.0, 4.2) mail checker plugin in Xfce 4.4. It supports IMAP and POP, 
local mailboxes in Mbox, Maildir and MH-Maildir format as well as Gmail.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/xfce-*mail.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-*mail.svg
%{_datadir}/xfce4/doc/C/xfce4-mailwatch-plugin.html
%{_datadir}/xfce4/doc/C/images/mailwatch-*.png

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-2
- Rebuild for Xfce 4.6 (Beta 3)

* Wed Oct 01 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0 fixes crash due to obscure GTK hash error (#463412)

* Mon Jul 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.1-10
- fix conditional comparison

* Fri Jun 06 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-9
- BuildRequire libXt-devel for all releases (#449496)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-8
- Autorebuild for GCC 4.3

* Fri Aug 24 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-7
- Rebuild for BuildID feature
- Update license tag

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-6
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-5
- Rebuild for Xfce 4.4.
- Update gtk-icon-cache scriptlets.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-4
- Bump release for devel checkin.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-3
- Recompile against XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-2
- Mass rebuild for Fedora Core 6.

* Sat Jun 17 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.1-1
- Update to 1.0.1.

* Mon Apr 10 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.0-2
- Fix description.
- Fix files section.
- Require xfce4-panel.

* Sat Feb 18 2006 Christoph Wickert <fedora wickert at arcor de> - 1.0.0-1
- Initial Fedora Extras release.
